Name:           gnome-ppp
Version:        0.3.23
Release:        4%{?dist}
Summary:        A GNOME 2 WvDial frontend

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.icmreza.co.yu/blogs/vladecks/?page_id=7
Source0:        http://www.icmreza.co.yu/blogs/vladecks/wp-content/projects/gnome-ppp/download/0.3/gnome-ppp-0.3.23.tar.bz2
Source1:        gnome-ppp.apps
Source2:        gnome-ppp.pam
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libglade2-devel >= 2.4.0, gettext, desktop-file-utils
BuildRequires:  intltool
Requires:       wvdial, usermode

%description
GNOME PPP is a modem dialup tool designed to integrate nicely into GNOME 2 
Desktop Environment. It is very similar to GPPP dialup utility created for 
GNOME 1 and KDE equivalent, KPPP. Since it is a graphical frontend for the 
excellent WvDial too, very little knowledge is needed to setup a dialup 
connection using GNOME PPP. It features ease of use, HIG dialogs, auto 
detection of your modem and connection monitoring.

%prep
%setup -q


%build
%configure --bindir=%{_sbindir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#rm $RPM_BUILD_ROOT%{_libexecdir}/thunar-archive-plugin/file-roller.tap

mkdir -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
mkdir -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/
mkdir -p -m 755 $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/%{name}
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/%{name}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category GNOME                                    \
        --remove-category Application                           \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}


%changelog
* Sun Jul 22 2007 Christoph Wickert <fedora wickert at arcor de> - 0.3.23-4
- Use userhelper. People in uucp group don't need to enter the root password
- Update license tag

* Mon Sep 04 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.23-3
- Mass rebuild for Fedora Core 6.

* Sat Jun 03 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.23-2
- Add intltool BuildRequires to fix build errors on devel.

* Sun Apr 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.23-1
- Initial Fedora Extras release.
